升级MySQL版本导致wordpress报错

郭浩
郭浩
郭浩
186
文章
2
评论
2019年11月19日17:19:13 评论 197 274字阅读0分54秒

升级MySQL版本导致wordpress报错

不能选择数据库
我们能够连接到数据库服务器(这意味着您的用户名和密码正确),但未能选择wordpress数据库。

ECS上使用宝塔面板,在调试安装Moodle过程中,因MySQL版本过低无法正常安装,故选择将MySQL升级到5.7版本。

正常按提示备份并下载数据库文件后将数据库删除,顺利升级MySQL到5.7后恢复之前备份的数据库,恢复过程无错误提示,但WordPress网站报错如上图。

发现报错后登陆phpmyadmin后发现数据库中并没有wordpress对应的数据库,故删除宝塔回收站中的数据库后重建同名数据库并导入之前下载的备份文件。问题解决。

郭浩
  • 本文由 发表于 2019年11月19日17:19:13
  • 除非特殊声明,本站文章均为原创,转载请务必保留本文链接
终于放弃在ECS上搭建mysql服务器了 个人分享

终于放弃在ECS上搭建mysql服务器了

自从在ECS上架设了mysql服务器,我的网站就经常出现“无法连接到数据库”的情况,原因是我的主机配置太低(1核1G内存),开启mysql服务后,可用内存仅剩不到90MB,导致mysql服务经常被KI...
匿名

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: